List opinions
GET
List a project's opinions with search, reply-status, and date filters.
API-key permission: opinions read. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidpage?integerRange
1 <= value <= 9007199254740991Default
1limit?integerRange
1 <= value <= 100Default
10sort?stringDefault
"newest"Value in
"newest""oldest""most-upvoted""least-upvoted"query?stringLength
length <= 200Default
""dateFrom?integerRange
0 <= value <= 8640000000000000dateTo?integerRange
0 <= value <= 8640000000000000externalUserId?stringLength
1 <= length <= 256opinionId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvisibility?stringDefault
"all"Value in
"all""public""private"replyStatus?stringDefault
"all"Value in
"all""replied""unreplied"OK
application/json- response
opinions*array<>pagination*curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/opinions'Example Response
{
"opinions": [
{
"responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",
"externalUserId": "string",
"attributes": "string",
"id": "string",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"content": "string",
"images": [],
"privateAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"publishedAt": "2019-08-24T14:15:22Z",
"verificationType": "auto",
"verifiedAt": "2019-08-24T14:15:22Z",
"verificationId": "string",
"user": {
"id": "string",
"name": "string",
"avatarUrl": "string",
"isOwner": true
},
"store": {
"organizationName": "string",
"caption": "string",
"description": "string",
"address": "string",
"city": "string",
"state": "string",
"organizationLogo": "string"
},
"upvotes": -9007199254740991,
"downvotes": -9007199254740991,
"voteTotal": -9007199254740991,
"replies": [
{
"id": "string",
"opinionId": "string",
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"user": {
"id": "string",
"name": "string",
"avatarUrl": "string",
"isOwner": true
}
}
]
}
],
"pagination": {
"page": -9007199254740991,
"limit": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991
}
}